#!/bin/bash
if [ -z $1 ]
	then
	echo "USAGE:" $(basename $0)" <file>"
else
dosya=$1
dizin="/grid/seismo/test/earthquake/"
id_name="earthquakeid"
echo ""
echo "Copied earthquakes from " $1 " to database"  
echo ""
cat $dosya | while read line
do
veri1=` echo $line | cut -d';' -f1 `
veri2=` echo $line | cut -d';' -f2 `
veri3=` echo $line | cut -d';' -f3 `
veri4=` echo $line | cut -d';' -f4 `
veri5=` echo $line | cut -d';' -f5 `
veri6=` echo $line | cut -d';' -f6 `
veri7=` echo $line | cut -d';' -f7 `
veri8=` echo $line | cut -d';' -f8 `
veri9=` echo $line | cut -d';' -f9 `
veri10=` echo $line | cut -d';' -f10 `
veri11=` echo $line | cut -d';' -f11 `
veri12=` echo $line | cut -d';' -f12 `
veri13=` echo $veri1 | cut -d'T' -f1 `
veri14=` echo $veri1 | cut -d'T' -f2 `
if [ ! -z $veri1 ]
	then
	if [ -z $veri10 ]
		then
		veri10=00
	fi
	if [ -z $veri9 ]
		then
		veri9=00
	fi
	
	if [ -z $veri4 ]
		then
		veri4=00
	fi
	number=`mdcli sequence_next $dizin$id_name`
	echo $veri1 $veri2 $veri3 $veri4 $veri5 $veri6 $veri7 $veri8 $veri9 $veri10 $veri11 $veri12 
	mdcli "addentry $dizin$number Date '$veri13 $veri14' Latitude $veri2 Longitude $veri3 Depth $veri4 MD $veri5 ML $veri6 MS $veri7 MB $veri8 MW $veri9 Intensity $veri10 Country $veri11 Region '$veri12'"
fi
done
fi

